figure
labels = {'e_X[m]','e_Y[m]','e_\psi[°]','e_{vx}[m/s]','e_{vy}[m/s]','e_{\omega}[°/s]','e_{ax}[m/s^2]','e_{\delta}[°]'};
scale = [1,1,180/pi,1,1,180/pi,1,180/pi];
plotsize = size(Y_trace,1) + 3;
for i = 1:size(Y_trace,1)
    subplot(plotsize,1,i);
    hold all;box on;
    plot(T,(XU(i,:)-Y_trace(i,:)).*scale(i),'Color',color);
    plot(T([1,end]),em_max([i,i]).*scale(i),'Color','red','LineWidth',2);
    plot(T([1,end]),-em_max([i,i]).*scale(i),'Color','red','LineWidth',2);

    ylabel(labels{i});
    axis tight;
	grid on;
end
subplot(plotsize,1,plotsize-2);hold all;box on;
plot(T2,E(1:3:end),'Color',color);ylabel('e_{fxf}[m/s^2]');
plot(T2([1,end]),ed_max([1,1]),'Color','red','LineWidth',2);
plot(T2([1,end]),-ed_max([1,1]),'Color','red','LineWidth',2);
axis tight;grid on;
subplot(plotsize,1,plotsize-1);hold all;box on;
plot(T2,E(2:3:end),'Color',color);ylabel('e_{fyf}[m/s^2]');
plot(T2([1,end]),ed_max([2,2]),'Color','red','LineWidth',2);
plot(T2([1,end]),-ed_max([2,2]),'Color','red','LineWidth',2);
axis tight;grid on;
subplot(plotsize,1,plotsize);hold all;box on;
plot(T2,E(3:3:end),'Color',color);ylabel('e_{fyr}[m/s^2]');
plot(T2([1,end]),ed_max([3,3]),'Color','red','LineWidth',2);
plot(T2([1,end]),-ed_max([3,3]),'Color','red','LineWidth',2);
xlabel('t[s]');
axis tight;grid on;